• EnglishEspañol日本語한국어Português
  • 로그인지금 시작하기

사용자의 편의를 위해 제공되는 기계 번역입니다.

영문본과 번역본이 일치하지 않는 경우 영문본이 우선합니다. 보다 자세한 내용은 이 페이지를 방문하시기 바랍니다.

문제 신고

.NET 에이전트 업데이트

APM .NET 에이전트를 업데이트하는 방법.

.NET 에이전트 버전 확인

  1. 에이전트의 최신 버전을 찾으려면 릴리스 정보를 참조하십시오.

  2. Windows Programs and Features

    또는 Linux 패키지 매니저를 사용하여 현재 설치한 .NET 에이전트 버전을 확인하세요.

시작하기 전에

.NET 에이전트를 설치할 수 있는 방법에는 여러 가지가 있습니다. 즉, 에이전트를 업데이트하는 방법도 여러 가지가 있습니다. 이 문서에서는 Windows 또는 Linux 호스트에 직접 설치된 .NET 에이전트를 사용하여 가장 간단한 설치를 위한 업데이트 절차에 중점을 둡니다.

다른 설치가 있는 경우 자세한 내용은 해당 설정에 대한 다음 설치 문서를 참조하십시오.

윈도우와 리눅스 설치

에이전트에 대한 업데이트 지침을 따르십시오.

.NET 에이전트 업데이트(Windows)

중요

업데이트 전:

  • 에이전트를 업데이트하려면 Windows 관리자 그룹에

    Administrator

    권한이 필요합니다. 자세한 내용은 권한 문서를 참조하세요.

  • 에이전트 버전이 7.0 미만이거나 .NET Framework 버전 4.0 이하를 사용 중인 경우 레거시 .NET 에이전트 업데이트 를 참조하세요.

  • 애플리케이션이 IIS에서 호스팅되는 경우 .NET 에이전트를 업데이트하기 전에

    stop IIS

    을 확인하세요.

.NET 에이전트 업데이트(Linux)

중요

.NET 에이전트 버전 10.0.0 이상의 경우 패키지 이름은 newrelic-dotnet-agent 입니다. .NET 에이전트 버전 9.9.0 이하의 경우 패키지 이름은 newrelic-netcore20-agent 입니다. 이 문서의 나머지 부분은 newrelic-dotnet-agent 참조합니다. 이전 에이전트 버전이 설치된 경우 이를 이전 이름으로 바꿉니다. 하위 버전에서 10.0.0 이상 버전으로 업데이트할 경우 패키지 이름 변경으로 인해 CORECLR_NEWRELIC_HOMECORECLR_PROFILER_PATH 환경 변수를 변경해야 합니다.

다음 방법 중 하나를 사용하여 최신 버전의 New Relic .NET 에이전트로 업데이트하십시오.

이전 .NET Framework 에이전트 업데이트(7.0 미만)

7.0보다 낮은 .NET Framework 에이전트 버전 업데이트를 고려 중인 경우 다음 참고 사항을 검토하십시오. 사용 중인 에이전트 버전을 보려면 에이전트 버전 확인 을 참조하십시오. 에이전트 변경 사항의 전체 목록은 .NET 릴리스 정보 를 참조하십시오.

Copyright © 2024 New Relic Inc.

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.